=== debian/changelog ===
node-raptor (0~0git20130108-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#697941.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jan 2013 02:18:44 +0100
