=== debian/control ===
Source: node-raptor
Section: libs
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 libraptor2-dev
Standards-Version: 3.9.4
Homepage: https://github.com/0xfeedface/node_raptor
Vcs-Git: git://git.debian.org/git/collab-maint/node-raptor
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-raptor.git

Package: node-raptor
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Node.js bindings for libraptor2
 Node.js is an event-based server-side JavaScript engine.
 .
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 Node-raptor provides Raptor RDF parser and serializer bindings to
 Node.js.
