=== debian/watch ===
version=3
https://github.com/0xfeedface/node_raptor/tags .*/archive/v?(\d[\d\.]+).tar.gz
